## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands
Class SetLocationCommand

    java.lang.Object
      org.eclipse.gef.commands.Command
          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands.SetLocationCommand

    public class SetLocationCommand

extends org.eclipse.gef.commands.Command

This command move the TableViewObject to the new location

Constructor Summary
`SetLocationCommand()`

Method Summary
`void` `cancel()`
`boolean` `canExecute()`
`boolean` `canUndo()`
`void` `execute()`
`java.lang.String` `getDescription()`
`void` `redo()`
`void` `setConstraint(org.eclipse.draw2d.geometry.Rectangle rect)`
`void` `setPart(TableEditPart part)`
`void` `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`chain, dispose, getDebugLabel, getLabel, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetLocationCommand

    public SetLocationCommand()

Method Detail

### setPart

    public void setPart(TableEditPart part)

### setConstraint

    public void setConstraint(org.eclipse.draw2d.geometry.Rectangle rect)

### cancel

    public void cancel()

### canUndo

    public boolean canUndo()

  Overrides:
    `canUndo` in class `org.eclipse.gef.commands.Command`

### canExecute

    public boolean canExecute()

  Overrides:
    `canExecute` in class `org.eclipse.gef.commands.Command`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.eclipse.gef.commands.Command`

### getDescription

    public java.lang.String getDescription()

### redo

    public void redo()

  Overrides:
    `redo` in class `org.eclipse.gef.commands.Command`

### undo

    public void undo()

  Overrides:
    `undo` in class `org.eclipse.gef.commands.Command`